Update Part B | Vehicle Number Update

This API is used to update the Part B details. The details and parameters of the requests and responses are explained.

Validations

  • Part-B can be updated by the generator of the e-way bill, if there is no transporter, or by the assigned transporter
  • Part-B can be updated only if the e-way bill is active, that is, not cancelled
  • Part-B can be updated only if the e-way bill is within validity period, that is, validity is not expired.
  • If vehicle is passed, the format of the vehicle number should be valid and as per the format
  • In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional
  • In case of rail, air or ship as a transportation mode, the transport document number is must

Important Links

Run in Postman

Body Params

JSON corresponding to the "Data" element below

{
  "ewbNo": 111000609282,
  "vehicleNo": "PQR1234",
  "fromPlace": "BANGALORE",
  "fromState": 29,
  "reasonCode": "1",
  "reasonRem": "vehicle broke down",
  "transDocNo ": "1234 ",
  "transDocDate ": "12/10/2017 ",
  "transMode": "1",
  "vehicleType": "R"
}
string
required

Action type

string
required

Encrypted Vehicle Update JSON string - Encrypt (Base64(Request JSON),sek)

Headers
string
required

GSTIN of Requester (Tax payer or Transporter)

string
required

Username of Tax payer

string
required

Authentication token returned by the E-way bill system

Responses

405

Method not allowed

500

Internal Server Error

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json